Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.processing.simple
Class ProcessingThread

    java.lang.Object
      java.lang.Thread
          rice.environment.processing.simple.ProcessingThread

All Implemented Interfaces:
  java.lang.Runnable

public class ProcessingThread
extends java.lang.Thread

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ProcessingThread(java.lang.String name, ProcessingQueue queue)` Constructor for ProcessingThread.

Method Summary
`void` | `destroy()` DESCRIBE THE METHOD
`void` | `run()` Main processing method for the ProcessingThread object

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessingThread

    public ProcessingThread(java.lang.String name,
                            ProcessingQueue queue)

  Constructor for ProcessingThread.

Parameters:
  `name` - DESCRIBE THE PARAMETER
  `queue` - DESCRIBE THE PARAMETER

Method Detail

### run

    public void run()

  Main processing method for the ProcessingThread object

### destroy

    public void destroy()

  DESCRIBE THE METHOD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.